Project

General

Profile

Bug #10754

Install Electrum 0.2.5.x in Tails/Jessie

Added by anonym almost 3 years ago. Updated over 2 years ago.

Status:
Resolved
Priority:
High
Assignee:
-
Category:
-
Target version:
Start date:
12/15/2015
Due date:
% Done:

100%

QA Check:
Pass
Feature Branch:
bugfix/10754-electrum-2.5.4-2
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Description

Hopefully we can just install it from Sid/Testing.


Subtasks

Bug #10758: Update electrum.feature for Electrum 2.5.xResolved


Related issues

Related to Tails - Bug #9713: Upgrade Electrum to >= 2.5.x for compatibility with all Electrum servers Resolved 07/08/2015

Associated revisions

Revision a264618b (diff)
Added by intrigeri almost 3 years ago

Install Electrum from jessie-backports.

That is, currently: 2.5.4-1~bpo8+1. This is older than what we'll
be shipping in Tails 1.8 (#9713), and we'll need a patch that's
in 2.5.4-2, but for now it's still better than Jessie's 1.9.8-4,
presumably.

refs: #10754

Revision 0013867c (diff)
Added by anonym almost 3 years ago

Install Electrum from Debian Testing.

We need version >=2.5.4-2, see #9713.

Refs: #9713
Will-fix: #10754

Revision d8d8ecd0
Added by intrigeri almost 3 years ago

Merge branch 'bugfix/10754-electrum-2.5.4-2' into devel

Fix-committed: #10754, #10758

History

#1 Updated by anonym almost 3 years ago

  • Related to Bug #9713: Upgrade Electrum to >= 2.5.x for compatibility with all Electrum servers added

#2 Updated by anonym almost 3 years ago

  • Blocks Feature #7563: Update the automated test suite for Jessie ISO images added

#3 Updated by anonym almost 3 years ago

I made this a blocker of #7563 since Electrum 0.2.5.x changes the wizard slightly, so its .feature must be updated.

#4 Updated by anonym almost 3 years ago

Per #9713, note that we'll need Electrum >= 0.5.4-2.

#5 Updated by intrigeri almost 3 years ago

  • Priority changed from Normal to High

Blocks a ticket that has High prio.

#6 Updated by anonym almost 3 years ago

  • Blocks deleted (Feature #7563: Update the automated test suite for Jessie ISO images)

#7 Updated by anonym almost 3 years ago

  • Blocks Bug #10758: Update electrum.feature for Electrum 2.5.x added

#8 Updated by anonym almost 3 years ago

  • Status changed from Confirmed to In Progress

#9 Updated by anonym almost 3 years ago

  • Assignee changed from anonym to intrigeri
  • % Done changed from 0 to 50
  • QA Check set to Ready for QA
  • Feature Branch set to bugfix/10754-electrum-2.5.4-2

Installing from Stretch works perfectly. The only odd thing is that python-qt4, which is required for the GUI, is only listed as a recommended package, so it has to be installed explicitly.

#10 Updated by intrigeri almost 3 years ago

  • Blocks deleted (Bug #10758: Update electrum.feature for Electrum 2.5.x)

#11 Updated by intrigeri almost 3 years ago

  • Assignee changed from intrigeri to anonym
  • QA Check deleted (Ready for QA)

The commits I reviewed looks good. Merged current devel, added a nitpicking commit on top. Reassigning to anonym until the test suite bits, that IMO should come with the software update, are done.

Meta: I won't block 2.0~beta1 on this.

#12 Updated by anonym almost 3 years ago

  • Assignee changed from anonym to kytv
  • QA Check set to Ready for QA

Note that this branch mostly contains test suite related work for #10758.

#13 Updated by intrigeri almost 3 years ago

  • Assignee changed from kytv to intrigeri

#14 Updated by intrigeri almost 3 years ago

Code review passes.

#15 Updated by intrigeri almost 3 years ago

  • Status changed from In Progress to Fix committed
  • % Done changed from 60 to 100

#16 Updated by intrigeri almost 3 years ago

  • Assignee deleted (intrigeri)
  • QA Check changed from Ready for QA to Pass

#17 Updated by anonym over 2 years ago

  • Status changed from Fix committed to Resolved

Also available in: Atom PDF